summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Baumann <abaumann@yahoo.com>2012-07-12 09:43:14 +0200
committerAndreas Baumann <abaumann@yahoo.com>2012-07-12 09:43:14 +0200
commit6aac668a24b0754152c53db3774003ef47662620 (patch)
tree9b273572e38432a023572931ad2ba70dcc0e3220
parent714c5115355e4c8ddb9df917dbcebc443cbc4c0e (diff)
downloadnagios-plugin-curl-6aac668a24b0754152c53db3774003ef47662620.tar.gz
nagios-plugin-curl-6aac668a24b0754152c53db3774003ef47662620.tar.bz2
added Debian packaging
-rw-r--r--debian/README.source7
-rw-r--r--debian/changelog5
-rw-r--r--debian/compat1
-rw-r--r--debian/conffiles0
-rw-r--r--debian/control15
-rw-r--r--debian/copyright24
-rw-r--r--debian/docs4
-rw-r--r--debian/postinst40
-rw-r--r--debian/postrm41
-rw-r--r--debian/prerm40
-rwxr-xr-xdebian/rules103
-rw-r--r--debian/shlibs0
-rw-r--r--redhat/nagios-plugin-curl.spec (renamed from packaging/nagios-plugin-curl.spec)0
13 files changed, 280 insertions, 0 deletions
diff --git a/debian/README.source b/debian/README.source
new file mode 100644
index 0000000..806ff51
--- /dev/null
+++ b/debian/README.source
@@ -0,0 +1,7 @@
+nagios-plugin-curl for Debian
+------------------
+
+All debian specific build files are in 'debian/.'.
+
+Changes should always be done to the main GIT repository at
+git://github.com:andreasbaumann/nagios-plugin-curl
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..0320cc7
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+nagios-plugin-curl (0.0.4-1) unstable; urgency=low
+
+ * Initial release
+
+ -- Andreas Baumann <abaumann@yahoo.com> Thu, 12 Jul 2012 17:48:00 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/debian/conffiles b/debian/conffiles
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/debian/conffiles
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..3a35526
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,15 @@
+Source: nagios-plugin-curl
+Section: unknown
+Priority: extra
+Maintainer: Andreas Baumann <abaumann@yahoo.com>
+Build-Depends: debhelper (>= 4.1.16), pkg-config,
+ libcurl-dev
+Standards-Version: 3.8.3
+Homepage: https://github.com/andreasbaumann/nagios-plugin-curl
+
+Package: nagios-plugin-curl
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: nagios-plugin-curl
+ Nagios plugin with similar command line options and functionality
+ as 'check_http', but based on the cURL web library.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..7fad600
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,24 @@
+This work was packaged for Debian by:
+
+ Andreas Baumann <abaumann@yahoo.com> on Thu, 12 Jul 2012 17:48:00 +0200
+
+It was downloaded from https://github.com/andreasbaumann/nagios-plugin-curl
+
+Upstream Author(s):
+
+ Andreas Baumann <abaumann@yahoo.com>
+
+Copyright:
+
+ <Copyright (C) 2012 Andreas Baumann>
+
+License:
+
+ GPLv3
+
+The Debian packaging is:
+
+ Copyright (C) 2012 Andreas Baumann <abaumann@yahoo.com>
+
+ and is licensed under the GPL version 3,
+ see `/usr/share/common-licenses/GPL-3'.
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..0b58b4e
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1,4 @@
+AUTHORS
+COPYING
+README
+TODOS
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..8eebcc4
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Debian postinst script for nagios-plugin-curl
+
+# Author: Andreas Baumann <abaumann@yahoo.com>
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# bail out on any error
+set -e
+
+case "$1" in
+ configure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..4337495
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Debian postrm script for nagios-plugin-curl
+
+# Author: Andreas Baumann <abaumann@yahoo.com>
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# bail out on any error
+set -e
+
+case "$1" in
+ remove|purge)
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..bae0677
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Debian prerm script for nagios-plugin-curl
+
+# Author: Andreas Baumann <abaumann@yahoo.com>
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+# bail out on any error
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..18595a5
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,103 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+#
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+#
+# Modified to make a template file for a multi-binary package with separated
+# build-arch and build-indep targets by Bill Allombert 2001
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=4
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+export PGFUSE_PARAMS=
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+ NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+ PGFUSE_PARAMS += -j$(NUMJOBS)
+endif
+
+build: build-stamp
+build-stamp:
+ dh_testdir
+
+ # Add here commands to compile the package.
+ $(MAKE) $(PGFUSE_PARAMS) all
+
+ # --- end custom part for compiling
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp
+
+ # Add here commands to clean up after the build process.
+ $(MAKE) $(PGFUSE_PARAMS) clean || true
+ # --- end custom part for cleaning up
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package
+ # The DESTDIR Has To Be Exactly /usr/src/packages/BUILD/debian/<nameOfPackage>
+
+ # main package
+ $(MAKE) install $(PGFUSE_PARAMS) \
+ DESTDIR=/usr/src/packages/BUILD/debian/wolframe
+
+ # --- end custom part for installing
+
+# Build architecture-independent files here.
+binary-indep: build install
+ # We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installdebconf
+ dh_installdocs
+# dh_installexamples
+# dh_installmenu
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+ dh_installinit
+# dh_installcron
+ dh_installman
+# dh_installinfo
+# dh_undocumented
+ dh_installchangelogs
+# dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+ dh_makeshlibs
+ dh_installdeb
+# dh_perl
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
diff --git a/debian/shlibs b/debian/shlibs
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/debian/shlibs
diff --git a/packaging/nagios-plugin-curl.spec b/redhat/nagios-plugin-curl.spec
index 105c8bf..105c8bf 100644
--- a/packaging/nagios-plugin-curl.spec
+++ b/redhat/nagios-plugin-curl.spec